# logging settings for spring framework
logging.level.org.springframework.web=DEBUG
#logging.level.org.springframework.web=INFO
# client settings

cea.fhe.algorithmes=BLACK_LIST, BLACK_LIST_LOW, BLACK_LIST_MEDIUM, BLACK_LIST_HIGH, PATTERN_MATCHING

server.application.maxThreads=8
# settings
setting1=st1
setting2=st2

# whether to activate default security or not (0 = off, 1 = on)
# this is a dirty config setting, to be removed in production
security.activation.status=0

# basic auth credentials
security.user.name=<user>
security.user.password=<password>

# rest endpoints
rest.endpoint.url.callGet=http://localhost:8080/v1/template/{param}/
rest.endpoint.url.callKECoreBase=https://<css-domain>/ke-core-manager-api/v1
#CNR PROD
rest.endpoint.url.callFheLocalhostBaseEndpoint=https://<isi-domain>/fhe-cingulata/v1
rest.endpoint.url.callFheBLAnalysisBase=https://<iai-domain>:8443/fhe-conn-malicious-host/v1
rest.endpoint.url.callFheKeyCoreBase=https://<css-domain>:8443

#FHE Encryption Path
rest.endpoint.url.callFheCheckKeyUrl=/fhe-keys/v1/fhe/key/isExisted/{RequestId}/dsa/{DSAId}/scheme/{FHEModel}
rest.endpoint.url.callFheBaseGetKeyUrl=/fhe-keys/v1/fhe/key/FHE_PUBKEY/get/{RequestId}/dsa/{DSAId}/scheme/{FHEModel}
rest.endpoint.url.callFheBaseGetSkKeyUrl=/fhe-keys/v1/fhe/key/FHE_SECRETKEY/get/{RequestId}/dsa/{DSAId}/scheme/{FHEModel}
rest.endpoint.url.callFheBaseCreateKeyUrl=/fhe-keys/v1/fhe/key/create/{RequestId}/dsa/{DSAId}/scheme/{FHEModel}


#Buffer-Manager Endpoints
rest.endpoint.url.callprepareEmptyDataLake=https://<isi-domain>:8443/buffer-manager/v1/prepareEmptyDataLake?data_lake={dataLake}&type={type}
rest.endpoint.url.dataLakeCategory=VDL
rest.endpoint.url.typeEmptyDataLake=FS

# Specific settings (created at build time from Maven pom.xml)
info.app.project=My Project
info.build.artifact=@project.artifactId@
info.build.name=@project.name@
info.build.description=@project.description@
info.build.version=@project.version@


#Vault Config
host.c3isp.cnr.it=http://127.0.0.1
port.c3isp.cnr.it=8200
#CNR
token.c3isp.cnr.it=67e0e5b5-2372-6af0-797d-3dd029f85440
#Local
#token.c3isp.cnr.it=ad52c02a-7696-6747-994f-12b25bded686
